Loading...
Searching...
No Matches
RDKit::BondIterator_ Class Reference

iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess. More...

`#include <BondIterators.h>`

## Public Member Functions

| BondIterator_ ()
| BondIterator_ (ROMol *mol)
| BondIterator_ (ROMol *mol, ROMol::EDGE_ITER pos)
| BondIterator_ (const BondIterator_ &other)
BondIterator_ & | operator= (const BondIterator_ &other)
bool | operator== (const BondIterator_ &other) const
bool | operator!= (const BondIterator_ &other) const
Bond * | operator* () const
BondIterator_ & | operator++ ()
BondIterator_ | operator++ (int)
BondIterator_ & | operator-- ()
BondIterator_ | operator-- (int)

## Detailed Description

iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess.

Definition at line 27 of file BondIterators.h.

## Constructor & Destructor Documentation

## BondIterator_() [1/4]

RDKit::BondIterator_::BondIterator_ | ( |  | ) |

inline

Definition at line 31 of file BondIterators.h.

## BondIterator_() [2/4]

RDKit::BondIterator_::BondIterator_ | ( | ROMol * | mol | ) |

## BondIterator_() [3/4]

RDKit::BondIterator_::BondIterator_ | ( | ROMol * | mol,
|  | ROMol::EDGE_ITER | pos
| ) |  |

## BondIterator_() [4/4]

RDKit::BondIterator_::BondIterator_ | ( | const BondIterator_ & | other | ) |

## Member Function Documentation

## operator!=()

bool RDKit::BondIterator_::operator!= | ( | const BondIterator_ & | other | ) | const

## operator*()

Bond * RDKit::BondIterator_::operator* | ( |  | ) | const

## operator++() [1/2]

BondIterator_ & RDKit::BondIterator_::operator++ | ( |  | ) |

## operator++() [2/2]

BondIterator_ RDKit::BondIterator_::operator++ | ( | int |  | ) |

## operator--() [1/2]

BondIterator_ & RDKit::BondIterator_::operator-- | ( |  | ) |

## operator--() [2/2]

BondIterator_ RDKit::BondIterator_::operator-- | ( | int |  | ) |

## operator=()

BondIterator_ & RDKit::BondIterator_::operator= | ( | const BondIterator_ & | other | ) |

## operator==()

bool RDKit::BondIterator_::operator== | ( | const BondIterator_ & | other | ) | const

The documentation for this class was generated from the following file:

- BondIterators.h